package _VisualDVM.Visual.Menus.CredentialsBar;
import _VisualDVM.Current;
import Common.Visual.Controls.MenuBarButton;
import _VisualDVM.Global;
import _VisualDVM.Visual.Menus.VisualiserMenuBar;
import Common.Visual.Fonts.VisualiserFonts;
import Visual_DVM_2021.Passes.PassCode;
import Common.Passes.Pass;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
public class CredentialsBar extends VisualiserMenuBar {
    public MenuBarButton MachineButton;
    public MenuBarButton UserButton;
    MenuBarButton bExpand;
    public CredentialsBar(){
        this.add(bExpand = new MenuBarButton() {
            {
                setIcon("/icons/ExpandDown.png");
                setToolTipText("Развернуть");
                addActionListener(new ActionListener() {
                    @Override
                    public void actionPerformed(ActionEvent e) {
                        Global.mainModule.getPass(PassCode.UpdateProperty).Do("collapseCredentials", false);
                    }
                });
            }
        }, 0);
        add(MachineButton = new MenuBarButton() {
            {
                setIcon("/icons/Machine.png");
                setFont(VisualiserFonts.TreeBold);
                setToolTipText("Текущая машина");
            }
        });
        //--
        add(UserButton = new MenuBarButton() {
            {
                setIcon("/icons/User.png");
                setFont(VisualiserFonts.TreeBold);
                setToolTipText("Текущий пользователь");
            }
        });
    }
    public void ShowMachine(){
        MachineButton.setText(Global.mainModule.getMachine().getURL());
    }
    public void ShowUser(){
        UserButton.setText(Global.mainModule.getUser().login);
    }
    public void ShowNoMachine(){
        MachineButton.setText("?");
    }
    public void ShowNoUser(){
        UserButton.setText("?");
    }
}
